# Slack CLI

[![codecov](https://codecov.io/gh/slackapi/slack-cli/branch/main/graph/badge.svg?token=5QO6RECHOF)](https://codecov.io/gh/slackapi/slack-cli)
[![CI](https://github.com/slackapi/slack-cli/actions/workflows/tests.yml/badge.svg?branch=main)](https://github.com/slackapi/slack-cli/actions/workflows/tests.yml)
[![CircleCI](https://dl.circleci.com/status-badge/img/gh/slackapi/slack-cli/tree/main.svg?style=svg&circle-token=e8b6240f6f31e62655a400c58865c31e8ab04394)](https://dl.circleci.com/status-badge/redirect/gh/slackapi/slack-cli/tree/main)

> Command-line interface for building apps on the next-generation of Slack Platform.

## :wave: Welcome

Welcome to the next-generation Slack Platform! This is the source code for command-line interface (CLI), which is your doorway to a new way of building Slack apps.

## :books: Download

To get started, choose the type of build you want:

* **:package: Get latest release**
    * [Latest Stable Release](https://api.slack.com/future/tools/cli/download) to download the latest official release for macOS, Windows, and Linux
    * [Browse Previous Releases](https://github.com/slackapi/slack-cli/releases) to download any previous release for macOS, Windows, and Linux
* **:zap: Get latest development build**
    * [Browse Development Build](https://github.com/slackapi/slack-cli/releases/tag/dev-build) to download the latest signed build from `main`
* **:hammer_and_wrench: Build from source**
    * [Browse our Maintainer's Guide](.github/maintainers_guide.md) to clone, build, and run the source code

## :computer: Usage

Visit our ✨ [CLI Reference Documentation](https://api.slack.com/future/tools/cli) to learn about each command.

You can also explore each command through the terminal:

```zsh
$ slack --help
$ slack [command] --help
$ slack help [command]
```

> :bulb: Remember, development builds must run the binary as `./bin/slack`

## :hammer_and_wrench: Contributions

We'd love to hear from you, whether it's a :hammer_and_wrench: [pull request](.github/maintainers_guide.md), :bug: [bug report](https://github.com/slackapi/slack-cli/issues/new?template=04_bug.md), :sparkles: [suggestion](https://github.com/slackapi/slack-cli/issues/new?template=02_enhancement.md), or :rocket: [improvement](https://github.com/slackapi/slack-cli/pulls). Feel free to submit an issue or pull request to start a discussion!

## :wave: Farewell

Thanks for stopping by! You're awesome :sunglasses:
